Package ru.bitel.bgbilling.modules.bill.server.bean

# Class InvoiceManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.bill.server.bean.AbstractManager
ru.bitel.bgbilling.modules.bill.server.bean.InvoiceManager

public class InvoiceManager extends AbstractManager

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.bill.server.bean.AbstractManager

  `BILL_ALL, BILL_NEW, BILL_PAYED, contractManager, DT_CREATED, DT_PAYED, moduleSetup, setup, USER_ADMIN, USER_ALL, USER_USER, UT_ALL, UT_NOTUNLOADED, UT_UNLOADED`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvoiceManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `addBillDoc(int userId, BillDoc billDoc, List<PositionValue> posList, List<BillDoc> subList, boolean checkPast)`
  `protected BillDoc`
  `getBillDoc(Attributes attributes)`
  `protected BillDoc`
  `getBillDoc(XMLUtils.BGXMLEventReader reader, StartElement element)`
  `BillDoc`
  `getInvoice(int id)`
  `List<Invoice>`
  `getInvoiceList(String idcids)`
  Возвращает список Invoice по id и contractID
  `List<Invoice>`
  `getInvoiceList(BillListFilter billListFilter, boolean getXml, boolean forRegister)`
  `List<Invoice>`
  `getInvoiceList(Page page, int contractId, boolean onlyReady)`
  Возвращает список PayInvoice
  `protected void`
  `publishEvent(int userID, BillDoc billDoc, int billId)`
  `void`
  `setShowReady(String ids, boolean ready)`
  `void`
  `updateDocTypeId(List<Integer> documentIds, int documentTypeId)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.AbstractManager

  `addBillDoc, addBillDocData, addBillDocs, addBillDocs, addNameCol, addNameJoin, addPackageFilterJoin, addSortMode, addStreetCol, addStreetJoin, delete, delete, delete, getBillDocInfo, getNextNumbers, getXMLData, getXMLData, setBankAccount, setOrganization, updateNumber, updatePositions, updatePositions, updatePositions`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InvoiceManager

    public InvoiceManager(Connection con, int moduleId)

- ## Method Details

  - ### getInvoice

    public BillDoc getInvoice(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getInvoiceList

    public List<Invoice> getInvoiceList(BillListFilter billListFilter, boolean getXml, boolean forRegister)

  - ### getInvoiceList

    public List<Invoice> getInvoiceList(String idcids)
    Возвращает список Invoice по id и contractID
    Parameters:
      `idcids` - строка "id:cid;id:cid..."
    Returns:
      List

  - ### getInvoiceList

    public List<Invoice> getInvoiceList(Page page, int contractId, boolean onlyReady)
    Возвращает список PayInvoice
    Parameters:
      `contractId` - - ContractID
    Returns:

  - ### addBillDoc

    public int addBillDoc(int userId, BillDoc billDoc, List<PositionValue> posList, List<BillDoc> subList, boolean checkPast)
    Specified by:
      `addBillDoc` in class `AbstractManager`

  - ### setShowReady

    public void setShowReady(String ids, boolean ready) throws SQLException
    Throws:
      `SQLException`

  - ### updateDocTypeId

    public void updateDocTypeId(List<Integer> documentIds, int documentTypeId) throws SQLException
    Throws:
      `SQLException`

  - ### getBillDoc

    protected BillDoc getBillDoc(Attributes attributes) throws Exception
    Specified by:
      `getBillDoc` in class `AbstractManager`
    Throws:
      `Exception`

  - ### getBillDoc

    protected BillDoc getBillDoc(XMLUtils.BGXMLEventReader reader, StartElement element) throws Exception
    Specified by:
      `getBillDoc` in class `AbstractManager`
    Throws:
      `Exception`

  - ### publishEvent

    protected void publishEvent(int userID, BillDoc billDoc, int billId) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `publishEvent` in class `AbstractManager`
    Throws:
      `ru.bitel.bgbilling.common.BGException`